Bug 155377

Summary: update port devel/p5-Test-Mini to v1.1.3
Product: Ports & Packages Reporter: Kurt Lidl <kurt.lidl>
Component: Individual Port(s)Assignee: Frederic Culot <culot>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff
none
Makefile.diff.txt
none
Makefile.diff.txt none

Description Kurt Lidl 2011-03-08 17:00:21 UTC

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-08 17:00:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2011-03-08 18:20:47 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 Frederic Culot freebsd_committer 2011-03-08 19:50:20 UTC
Hi Kurt,

thanks for submitting this PR.
However, I have some doubts regarding dependencies: is there a particular
reason for not depending on Exception::Class and IO::Scalar?

See tinderbox log here:
http://culot.org/tinderbox/8.2-FreeBSD/p5-Test-Mini-v1.1.3.log

Regards,
culot@
Comment 4 Frederic Culot freebsd_committer 2011-03-08 19:51:50 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback.
Comment 5 Kurt Lidl 2011-03-09 17:18:21 UTC
On 3/8/2011 2:50 PM, Frederic Culot wrote:
> Hi Kurt,
>
> thanks for submitting this PR.
> However, I have some doubts regarding dependencies: is there a particular
> reason for not depending on Exception::Class and IO::Scalar?
>
> See tinderbox log here:
> http://culot.org/tinderbox/8.2-FreeBSD/p5-Test-Mini-v1.1.3.log
>
> Regards,
> culot@
Hmmm.  I missed the dependency on Exception::Class -- that should be added.
I/m pretty sure that IO::Scalar is only used during the self-tests for 
the module. So,
it isn't needed to build or run the module.

I've attached an updated diff for the Makefile that has the dependency 
for Exception::Class

-Kurt


Comment 6 Kurt Lidl 2011-03-09 20:30:54 UTC
On 3/9/2011 12:18 PM, Kurt Lidl wrote:
> On 3/8/2011 2:50 PM, Frederic Culot wrote:
>> Hi Kurt,
>>
>> thanks for submitting this PR.
>> However, I have some doubts regarding dependencies: is there a 
>> particular
>> reason for not depending on Exception::Class and IO::Scalar?
>>
>> See tinderbox log here:
>> http://culot.org/tinderbox/8.2-FreeBSD/p5-Test-Mini-v1.1.3.log
>>
>> Regards,
>> culot@
> Hmmm.  I missed the dependency on Exception::Class -- that should be 
> added.
> I/m pretty sure that IO::Scalar is only used during the self-tests for 
> the module. So,
> it isn't needed to build or run the module.
>
> I've attached an updated diff for the Makefile that has the dependency 
> for Exception::Class
>
> -Kurt
>
>
>
Here's a better diff, now that I figured out what I want is 
"p5-IO-stringy" and not "p5-IO-Stringy" that contains
the IO::Scalar that is wanted by the tests.  (Why isn't it "Stringy", 
instead of "stringy"?  Can that be renamed to
be consistant with practically every other perl module in the ports system?)

-Kurt
Comment 7 dfilter service freebsd_committer 2011-03-09 21:08:58 UTC
culot       2011-03-09 21:08:48 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-Test-Mini   Makefile distinfo 
  Log:
  - Update to v1.1.3 [1]
  - Sort BUILD_DEPENDS and MAN3
  
  PR:             ports/155377 [1]
  Submitted by:   Kurt Lidl <kurt.lidl AT cello.com> (maintainer)
  
  Revision  Changes    Path
  1.2       +11 -9     ports/devel/p5-Test-Mini/Makefile
  1.2       +2 -2      ports/devel/p5-Test-Mini/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Frederic Culot freebsd_committer 2011-03-09 21:09:52 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!